CRM ContactsList contacts

List contacts

Retrieve a paginated list of contacts with optional filters.

curl -X GET "https://api.talkturo.com/api/crm/contacts?page=25&limit=42&search=example_string&companyId=example_string&campaignId=example_string" \
  -H "Content-Type: application/json"
{
  "success": true,
  "contacts": [
    {
      "id": "example_string",
      "first_name": "John Doe",
      "last_name": "John Doe",
      "email": "user@example.com",
      "phone": "+1-555-0123",
      "company_id": "example_string",
      "job_title": "example_string",
      "lead_source": "example_string"
    }
  ],
  "total": 42,
  "page": 25
}
GET
/crm/contacts
GET
Base URLstring

Target server for requests. Edit to use your own host.

API Key (cookie: sb-access-token)
sb-access-tokenstring
Required

Authenticated Talkturo web session cookie (Supabase httpOnly session). Browser clients typically send this automatically after sign-in. Related refresh cookies may also be present depending on the client.

Authenticated Talkturo web session cookie (Supabase httpOnly session). Browser clients typically send this automatically after sign-in. Related refresh cookies may also be present depending on the client.
Request Preview
Response

Response will appear here after sending the request

Authentication

path
parameterstring
Required

API Key for authentication. Authenticated Talkturo web session cookie (Supabase httpOnly session). Browser clients typically send this automatically after sign-in. Related refresh cookies may also be present depending on the client.

Query Parameters

Responses

successboolean
contactsarray
totalinteger
pageinteger